package com.ejie.ab61.service.moduloAdministrativo;

import com.ejie.ab61.model.moduloAdministrativo.HuecosFolderNumber;
import com.ejie.ab61.model.moduloAdministrativo.ModuloAdministracion;
import com.ejie.ab61.model.usuario.Usuario;
import com.ejie.x38.dto.JQGridRequestDto;
import com.ejie.x38.dto.JQGridResponseDto;

public interface ModuloAdministracionService {

	JQGridResponseDto<ModuloAdministracion> filter(ModuloAdministracion filterModuloAdministrativo,
			JQGridRequestDto jqGridRequestDto, Boolean startsWith);

	String obtenerMensaje(String idMensaje);

	String obtenerSolicitud(String idMensaje);

	Integer obtenerConfiguracion(String idMensaje);

	JQGridResponseDto<ModuloAdministracion> filterTrazasMensajes(ModuloAdministracion filterTrazas,
			JQGridRequestDto jqGridRequestDto, Boolean startsWith);

	JQGridResponseDto<ModuloAdministracion> filterTrazasSolicitudes(ModuloAdministracion filterTrazas,
			JQGridRequestDto jqGridRequestDto, Boolean startsWith);

	void guardarTextoMensajeLimpiado(Integer id, String textoLimpiado, Usuario usuario);

	void guardarTextoSolicitudLimpiado(Integer id, String textoLimpiado, Usuario usuario);

	String obtenerTarea(String id);

	void corregirMensaje(ModuloAdministracion mensaje);

	void cargarExpediente(String cargaFolderId, String procedimientos);

	JQGridResponseDto<HuecosFolderNumber> huecosFolderNumber(HuecosFolderNumber filterHuecosFolderNumber,
			JQGridRequestDto jqGridRequestDto, Boolean startsWith);

	JQGridResponseDto<HuecosFolderNumber> folderNull(HuecosFolderNumber filterHuecosFolderNumber,
			JQGridRequestDto jqGridRequestDto, Boolean startsWith);

	Boolean llamadaPlObtenerErroresFolderNumber();

}
